add sig for hpc

This commit is contained in:
Louis Abel 2023-07-12 14:35:59 -07:00
parent 403b147f08
commit 7934601fdf
Signed by: label
GPG Key ID: B37E62D143879B36
5 changed files with 136 additions and 0 deletions

View File

@ -0,0 +1,49 @@
---
hpc:
'8':
profile: 'hpc'
project_id: '78a2db02-ebe5-4654-9a04-6482eb9c8b84'
addtional_dirs: []
repo:
hpc-common:
allowed_arches:
- x86_64
- aarch64
hpc-core:
allowed_arches:
- x86_64
- aarch64
extra_files:
git_repo: 'https://git.rockylinux.org/staging/src/rocky-release-hpc.git'
git_raw_path: 'https://git.rockylinux.org/staging/src/rocky-release-hpc/-/raw/r8/'
branch: 'r8'
gpg:
stable: 'SOURCES/RPM-GPG-KEY-Rocky-SIG-HPC'
list:
- 'SOURCES/RPM-GPG-KEY-Rocky-SIG-HPC'
'9':
profile: 'hpc'
project_id: 'aee28795-e163-4a99-935d-f0a78cf33e75'
addtional_dirs: []
repo:
hpc-common:
allowed_arches:
- x86_64
- aarch64
- ppc64le
- s390x
hpc-core:
allowed_arches:
- x86_64
- aarch64
- ppc64le
- s390x
extra_files:
git_repo: 'https://git.rockylinux.org/staging/src/rocky-release-hpc.git'
git_raw_path: 'https://git.rockylinux.org/staging/src/rocky-release-hpc/-/raw/r9/'
branch: 'r9'
gpg:
stable: 'SOURCES/RPM-GPG-KEY-Rocky-SIG-HPC'
list:
- 'SOURCES/RPM-GPG-KEY-Rocky-SIG-HPC'
...

View File

@ -18,5 +18,6 @@ fi
STREAM_COMPOSE_BASEURL="https://composes.stream.centos.org/production"
STREAM_KOJI_REPO="https://kojihub.stream.centos.org/kojifiles/repos"
ELN_KOJI_REPO="https://kojipkgs.fedoraproject.org/repos"
PERIDOT_REPO="https://yumrepofs.build.resf.org/v1/projects"
COMPOSE_BASEDIR="/mnt/compose"

View File

@ -40,12 +40,32 @@ class common:
}
return REPOS
def rl10(self):
REPOS = {
'AppStream': ['aarch64', 'ppc64le', 's390x', 'x86_64'],
'BaseOS': ['aarch64', 'ppc64le', 's390x', 'x86_64'],
'CRB': ['aarch64', 'ppc64le', 's390x', 'x86_64'],
'HighAvailability': ['aarch64', 'ppc64le', 's390x', 'x86_64'],
'NFV': ['x86_64'],
'ResilientStorage': ['ppc64le', 's390x', 'x86_64'],
'RT': ['x86_64'],
'SAP': ['ppc64le', 's390x', 'x86_64'],
'SAPHANA': ['ppc64le', 'x86_64']
}
return REPOS
def rl9all(self):
REPOS = {
'all': ['aarch64', 'ppc64le', 's390x', 'x86_64'],
}
return REPOS
def rl10all(self):
REPOS = {
'all': ['aarch64', 'ppc64le', 's390x', 'x86_64'],
}
return REPOS
# Parse tags of koji
def c8s(self):
REPOS = {
@ -59,4 +79,10 @@ class common:
}
return REPOS
def c10s(self):
REPOS = {
'c10s-build': ['aarch64', 'ppc64le', 's390x', 'x86_64'],
}
return REPOS
switcher = common()

View File

@ -0,0 +1,17 @@
# To be sourced by scripts to use
REPO=("BaseOS" "AppStream" "CRB" "HighAvailability" "ResilientStorage" "NFV" "RT" "SAP" "SAPHANA")
ARCH=("aarch64" "ppc64le" "s390x" "x86_64")
VER="r${MAJOR}${LH}"
case "$VER" in
r10)
export PERIDOT_PROJECT_ID=474db218-5282-4ec7-8db2-4fb80a59c850 ;;
r10lh)
export PERIDOT_PROJECT_ID=474db218-5282-4ec7-8db2-4fb80a59c850 ;;
*)
echo "Not supported"
exit 1
;;
esac

View File

@ -0,0 +1,43 @@
#!/bin/bash
# Parses a koji tag for a branch out
#set -x
if [ -n "$1" ]; then
MAJOR=$1
else
echo "Major version not specified"
exit 1
fi
export RLVER=$MAJOR
source common
drop="${PREPOPDROP}"
current=$(pwd)
tmpdir=$(mktemp -d)
tag_template="eln-build"
eln_repo_url="${ELN_KOJI_REPO}/${tag_template}/latest"
pushd "${tmpdir}" || { echo "Could not change directory"; exit 1; }
for y in "${ARCH[@]}"; do
repodatas=( $(dnf reposync --repofrompath ${tag_template},${eln_repo_url}/${y} --download-metadata --repoid=${tag_template} -p ${tag_template}/${y} --forcearch ${y} --norepopath --remote-time --assumeyes -u | grep repodata) )
mkdir -p "${tag_template}/${y}/repodata"
pushd "${tag_template}/${y}/repodata" || { echo "Could not change directory"; exit 1; }
for z in "${repodatas[@]}"; do
wget -q -nc "${z}"
done
wget -q -nc "${eln_repo_url}/${y}/repodata/repomd.xml"
popd || { echo "Could not change back..."; exit 1; }
done
mv eln-build "c${MAJOR}s-build"
/usr/bin/python3 "${current}/prepopulate_parser.py" --version $RLVER --stream
ret_val=$?
popd || { echo "Could not change back..."; exit 1; }
if [ "$ret_val" -ne "0" ]; then
echo "There was an error running through the parser."
exit 1
fi
sed -i "s|${tag_template}|branched|g" $drop
echo "File located at: $drop"